summaryrefslogtreecommitdiffstats
path: root/psi/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2006-03-02 16:02:19 +0000
committer Eric Hameleers <alien@slackware.com>2006-03-02 16:02:19 +0000
commit91bfcb8e4514524016e3702bde36ce7a408636f2 (patch)
tree6da81672a2f84e82e53624c07dbf92ee8e6f15e3 /psi/build
parenta3095b1d66a4ad19b2f10c9b6dcd04a562c6d0d8 (diff)
downloadasb-91bfcb8e4514524016e3702bde36ce7a408636f2.tar.gz
asb-91bfcb8e4514524016e3702bde36ce7a408636f2.tar.xz
Fixed binariy group ownership; added missing bitmapfile; fixed building
of the language pack.
Diffstat (limited to 'psi/build')
-rwxr-xr-xpsi/build/psi.SlackBuild17
1 files changed, 10 insertions, 7 deletions
diff --git a/psi/build/psi.SlackBuild b/psi/build/psi.SlackBuild
index 8667f0ae..63934fe4 100755
--- a/psi/build/psi.SlackBuild
+++ b/psi/build/psi.SlackBuild
@@ -9,7 +9,7 @@
# By: Eric Hameleers <alien@slackware.com>
# For: psi
# URL: http://psi-im.org/
-# Needs: Qt 3.1.0 *mulithreaded*
+# Needs: Qt 3.1.0 *multithreaded*
# zlib 1.1.4
# Optional: qca 1.0, qca-tls 1.0 (for SLL/TLS connections to the server)
# Changelog:
@@ -29,6 +29,9 @@
# * Test-3.
# 0.10-1: 13/jan/2006 by Eric Hameleers <alien@slackware.com>
# * The final release is here (including laguage packs).
+# 0.10-2: 02/mar/2006 by Eric Hameleers <alien@slackware.com>
+# * Added missing pixmaps icon; fixed ownership of binary.
+# Fixed building of the language pack.
#
# Run 'sh SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -46,7 +49,7 @@ fi
PRGNAM=psi
VERSION=0.10
ARCH=${ARCH:-i486}
-BUILD=1
+BUILD=2
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
@@ -129,7 +132,7 @@ fi
# Not only KDE wants a pixmap
mkdir -p $PKG/usr/share/pixmaps/
-cp $PKG/opt/kde/share/icons/hicolor/32x32/apps/psi.png $PKG/usr/share/pixmaps/
+cp $PKG/usr/share/icons/hicolor/32x32/apps/psi.png $PKG/usr/share/pixmaps/
# --- DOCUMENTATION ---
@@ -153,8 +156,8 @@ gzip -9f $PKG/usr/man/*/*
# --- OWNERSHIP, RIGHTS ---
chmod -R o-w $PKG
-chgrp root:bin $PKG/usr/bin/* $PKG/usr/sbin/* \
- $PKG/bin/* $PKG/sbin/* 2>/dev/null
+chown -R root:bin $PKG/usr/bin $PKG/usr/sbin \
+ $PKG/bin $PKG/sbin 2>/dev/null
# --- PACKAGE DESCRIPTION ---
@@ -174,10 +177,10 @@ fi
#
LANG="es eo fr hu nl pl pt_BR sl vi bg mk"
for NN in $LANG; do
- if ! [ -f ${PRGNAM}_${NN}.qm ]; then
+ if ! [ -f $CWD/${PRGNAM}_${NN}.qm ]; then
echo "Getting language pack '$NN' for $PRGNAM - version ${VERSION}"
URL="http://psi-im.org/files/translation/${VERSION}/${PRGNAM}_${NN}.qm"
- wget -nv "$URL"
+ wget -nv "$URL" -O $CWD/${PRGNAM}_${NN}.qm
fi
done